#include <iostream>
#include <ostream>
#include <math.h>
#include <string.h>
using namespace std;

int main()
{
    string a,b;
    cin >> a>> b;

    long long int l1= a.size(), l2=b.size();
    long long int ls=l2;

    if(l1<l2)
        ls=l1;

    for(long long int i =0;i<ls;i++)
    {
        if(a[i]== b[i])
            cout << a[i]<< b[i];
        else if(a[i]> b[i])
        cout << a[i];
        else
            cout << b[i];
    }


        for(long long int i =ls;i<=l1;i++)
                cout << a[i];

        for(long long int i =ls;i<=l2;i++)
                cout << b[i];

    return 0;
}